VSTGUI: ListenerT< Context > Class Template Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
ListenerT< Context > Class Template Reference
Standalone Library

Value listener More...

`#include <valuelistener.h>`

Inheritance diagram for ListenerT< Context >:

## Public Types
using | OnBeginEditFunc = void(*) (IValue&, Context&)
using | OnEndEditFunc = void(*) (IValue&, Context&)
using | OnStateChangeFunc = void(*) (IValue&, Context&)
using | OnPerformEditFunc = void(*) (IValue&, IValue::Type, Context&)

## Public Member Functions
| ListenerT (IValue &value, Context context)
Public Member Functions inherited from ListenerBase
| ListenerBase (IValue &value)
| ~ListenerBase () noexcept override
IValue & | getValueObject () const
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T>
const auto | dynamicCast () const
template<typename T>
auto | dynamicCast ()

## Public Attributes
OnBeginEditFunc | onBeginEditFunc {nullptr}
OnEndEditFunc | onEndEditFunc {nullptr}
OnStateChangeFunc | onStateChangeFunc {nullptr}
OnPerformEditFunc | onPerformEditFunc {nullptr}

## Detailed Description

template<typename Context>
class VSTGUI::Standalone::Value::ListenerT< Context >

Value listener

## Member Typedef Documentation

## ◆ OnBeginEditFunc

template<typename Context>

using OnBeginEditFunc = void(*) (IValue&, Context&)

## ◆ OnEndEditFunc

template<typename Context>

using OnEndEditFunc = void(*) (IValue&, Context&)

## ◆ OnPerformEditFunc

template<typename Context>

using OnPerformEditFunc = void(*) (IValue&, IValue::Type, Context&)

## ◆ OnStateChangeFunc

template<typename Context>

using OnStateChangeFunc = void(*) (IValue&, Context&)

## Constructor & Destructor Documentation

## ◆ ListenerT()

template<typename Context>

ListenerT | ( | IValue & | value,
|  | Context | context )
| inline

## Member Data Documentation

## ◆ onBeginEditFunc

template<typename Context>

OnBeginEditFunc onBeginEditFunc {nullptr}

## ◆ onEndEditFunc

template<typename Context>

OnEndEditFunc onEndEditFunc {nullptr}

## ◆ onPerformEditFunc

template<typename Context>

OnPerformEditFunc onPerformEditFunc {nullptr}

## ◆ onStateChangeFunc

template<typename Context>

OnStateChangeFunc onStateChangeFunc {nullptr}

The documentation for this class was generated from the following file:

- valuelistener.h